#include <iostream>
#include<string>
using namespace std;
int main()
{
    int n;
    cin>>n;
    long long h[2*n], c[2*n], dp[2*n];
    for(int i=1; i<=n; i++){
        cin>>h[i];}
        for(int i=1; i<=2*n; i++){
        dp[i]=1e9;}
        h[n+1]=0;
        dp[0]=0;
        dp[1]=0;
     h[0]=0;
    for(int i=1; i<=n; i++){
        cin>>c[i];}
    for(int i=1; i<=n; i++){
        int g;
        g=i;
        while(h[i]>=h[g]){
         
            dp[g+1]=min(dp[g+1],dp[i]+c[i]);
              g++;
        }
          g=i;
        while(h[i]>=h[g]){
            
            dp[i+1]=min(dp[i+1],dp[g]+c[i]);
             g--;
        }
    }
        
        
  cout<<dp[n+1];
            
}